## MateMixerStream

MateMixerStream

## Functions

const gchar * | mate_mixer_stream_get_name ()
const gchar * | mate_mixer_stream_get_label ()
MateMixerDirection | mate_mixer_stream_get_direction ()
MateMixerDevice * | mate_mixer_stream_get_device ()
MateMixerStreamControl * | mate_mixer_stream_get_control ()
MateMixerStreamSwitch * | mate_mixer_stream_get_switch ()
MateMixerStreamControl * | mate_mixer_stream_get_default_control ()
const GList * | mate_mixer_stream_list_controls ()
const GList * | mate_mixer_stream_list_switches ()

## Properties

MateMixerStreamControl * | default-control | Read / Write / Construct Only
MateMixerDevice * | device | Read / Write / Construct Only
MateMixerDirection | direction | Read / Write / Construct Only
gchar * | label | Read / Write / Construct Only
gchar * | name | Read / Write / Construct Only

## Signals

void | control-added | Run First
void | control-removed | Run First
void | switch-added | Run First
void | switch-removed | Run First

## Types and Values

enum | MateMixerDirection
| MateMixerStream
struct | MateMixerStreamClass

## Object Hierarchy

        GObject
        ╰── MateMixerStream

## Includes

    #include <libmatemixer/matemixer.h>

## Description

## Functions

### mate_mixer_stream_get_name ()

    const gchar *
    mate_mixer_stream_get_name (MateMixerStream *stream);

#### Parameters

stream | a MateMixerStream |

### mate_mixer_stream_get_label ()

    const gchar *
    mate_mixer_stream_get_label (MateMixerStream *stream);

#### Parameters

stream | a MateMixerStream |

### mate_mixer_stream_get_direction ()

    MateMixerDirection
    mate_mixer_stream_get_direction (MateMixerStream *stream);

#### Parameters

stream | a MateMixerStream |

### mate_mixer_stream_get_device ()

    MateMixerDevice *
    mate_mixer_stream_get_device (MateMixerStream *stream);

#### Parameters

stream | a MateMixerStream |

### mate_mixer_stream_get_control ()

    MateMixerStreamControl *
    mate_mixer_stream_get_control (MateMixerStream *stream,
                                   const gchar *name);

#### Parameters

stream | a MateMixerStream |
name | the name of a stream control |

### mate_mixer_stream_get_switch ()

    MateMixerStreamSwitch *
    mate_mixer_stream_get_switch (MateMixerStream *stream,
                                  const gchar *name);

Gets the switch with the given name.

#### Parameters

stream | a MateMixerStream |
name | the name of a stream switch |

#### Returns

a MateMixerStreamSwitch or `NULL` if there is no such switch.

### mate_mixer_stream_get_default_control ()

    MateMixerStreamControl *
    mate_mixer_stream_get_default_control (MateMixerStream *stream);

#### Parameters

stream | a MateMixerStream |

### mate_mixer_stream_list_controls ()

    const GList *
    mate_mixer_stream_list_controls (MateMixerStream *stream);

#### Parameters

stream | a MateMixerStream |

### mate_mixer_stream_list_switches ()

    const GList *
    mate_mixer_stream_list_switches (MateMixerStream *stream);

#### Parameters

stream | a MateMixerStream |

## Types and Values

### enum MateMixerDirection

Sound stream direction.

#### Members

MATE_MIXER_DIRECTION_UNKNOWN | Unknown direction. |
MATE_MIXER_DIRECTION_INPUT | Input direction (recording). |
MATE_MIXER_DIRECTION_OUTPUT | Output direction (playback). |

### MateMixerStream

    typedef struct _MateMixerStream MateMixerStream;

The MateMixerStream structure contains only private data and should only be accessed using the provided API.

### struct MateMixerStreamClass

    struct MateMixerStreamClass {
        GObjectClass parent_class;
    };

The class structure for MateMixerStream.

#### Members

## Property Details

### The `“default-control”` property

      “default-control”          MateMixerStreamControl *

Default control of the stream.

Flags: Read / Write / Construct Only

### The `“device”` property

      “device”                   MateMixerDevice *

Device the stream belongs to.

Flags: Read / Write / Construct Only

### The `“direction”` property

      “direction”                MateMixerDirection

Direction of the stream.

Flags: Read / Write / Construct Only

Default value: MATE_MIXER_DIRECTION_UNKNOWN

### The `“label”` property

      “label”                    gchar *

Label of the stream.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Name of the stream.

Flags: Read / Write / Construct Only

Default value: NULL

## Signal Details

### The `“control-added”` signal

    void
    user_function (MateMixerStream *matemixerstream,
                   gchar           *arg1,
                   gpointer         user_data)

Flags: Run First

### The `“control-removed”` signal

    void
    user_function (MateMixerStream *matemixerstream,
                   gchar           *arg1,
                   gpointer         user_data)

Flags: Run First

### The `“switch-added”` signal

    void
    user_function (MateMixerStream *matemixerstream,
                   gchar           *arg1,
                   gpointer         user_data)

Flags: Run First

### The `“switch-removed”` signal

    void
    user_function (MateMixerStream *matemixerstream,
                   gchar           *arg1,
                   gpointer         user_data)

Flags: Run First